{{/* 

    XML Schema Annotatie / Documentatie Element

    Context: dict
                "documentation"
                "identNr"

*/}}

{{ $xsAnnotation := "" }}

{{ if ne .documentation "" }}
    {{ $identNr := add .identNr 1 }}
    {{ $ident := partial "utils/build-ident" $identNr }}
    {{ $xsAnnotation = print "\n" $ident.spaces "<xs:annotation>\n" }}
    {{ $xsDocumentation := print  $ident.spaces $ident.tab "<xs:documentation>" .documentation "</xs:documentation>\n" }}
    {{ $xsAnnotation = print $xsAnnotation $xsDocumentation $ident.spaces "</xs:annotation>" }}
{{ end }}

{{ return $xsAnnotation }}